<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ePrzesylkaType StructType
 * @subpackage Structs
 */
class EPrzesylkaType extends PrzesylkaRejestrowanaType
{
    /**
     * The urzadWydaniaEPrzesylki
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var UrzadWydaniaEPrzesylkiType
     */
    public $urzadWydaniaEPrzesylki;
    /**
     * The pobranie
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var PobranieType
     */
    public $pobranie;
    /**
     * The masa
     * Meta information extracted from the WSDL
     * - documentation: masa przesyłki podana w gramach
     * - base: xsd:int
     * - maxInclusive: 9999999
     * - minInclusive: 1
     * @var int
     */
    public $masa;
    /**
     * The eSposobPowiadomieniaAdresata
     * @var string
     */
    public $eSposobPowiadomieniaAdresata;
    /**
     * The eSposobPowiadomieniaNadawcy
     * @var string
     */
    public $eSposobPowiadomieniaNadawcy;
    /**
     * The eKontaktAdresata
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - minLength: 0
     * @var string
     */
    public $eKontaktAdresata;
    /**
     * The eKontaktNadawcy
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - minLength: 0
     * @var string
     */
    public $eKontaktNadawcy;
    /**
     * The ostroznie
     * @var bool
     */
    public $ostroznie;
    /**
     * The wartosc
     * Meta information extracted from the WSDL
     * - documentation: zadeklarowana wartość przesyłki w groszach
     * - base: xsd:int
     * - maxInclusive: 9999999
     * - minInclusive: 0
     * @var int
     */
    public $wartosc;
    /**
     * Constructor method for ePrzesylkaType
     * @uses EPrzesylkaType::setUrzadWydaniaEPrzesylki()
     * @uses EPrzesylkaType::setPobranie()
     * @uses EPrzesylkaType::setMasa()
     * @uses EPrzesylkaType::setESposobPowiadomieniaAdresata()
     * @uses EPrzesylkaType::setESposobPowiadomieniaNadawcy()
     * @uses EPrzesylkaType::setEKontaktAdresata()
     * @uses EPrzesylkaType::setEKontaktNadawcy()
     * @uses EPrzesylkaType::setOstroznie()
     * @uses EPrzesylkaType::setWartosc()
     * @param UrzadWydaniaEPrzesylkiType $urzadWydaniaEPrzesylki
     * @param PobranieType $pobranie
     * @param int $masa
     * @param string $eSposobPowiadomieniaAdresata
     * @param string $eSposobPowiadomieniaNadawcy
     * @param string $eKontaktAdresata
     * @param string $eKontaktNadawcy
     * @param bool $ostroznie
     * @param int $wartosc
     */
    public function __construct(UrzadWydaniaEPrzesylkiType $urzadWydaniaEPrzesylki = null, PobranieType $pobranie = null, $masa = null, $eSposobPowiadomieniaAdresata = null, $eSposobPowiadomieniaNadawcy = null, $eKontaktAdresata = null, $eKontaktNadawcy = null, $ostroznie = null, $wartosc = null)
    {
        $this
            ->setUrzadWydaniaEPrzesylki($urzadWydaniaEPrzesylki)
            ->setPobranie($pobranie)
            ->setMasa($masa)
            ->setESposobPowiadomieniaAdresata($eSposobPowiadomieniaAdresata)
            ->setESposobPowiadomieniaNadawcy($eSposobPowiadomieniaNadawcy)
            ->setEKontaktAdresata($eKontaktAdresata)
            ->setEKontaktNadawcy($eKontaktNadawcy)
            ->setOstroznie($ostroznie)
            ->setWartosc($wartosc);
    }
    /**
     * Get urzadWydaniaEPrzesylki value
     * @return UrzadWydaniaEPrzesylkiType
     */
    public function getUrzadWydaniaEPrzesylki()
    {
        return $this->urzadWydaniaEPrzesylki;
    }
    /**
     * Set urzadWydaniaEPrzesylki value
     * @param UrzadWydaniaEPrzesylkiType $urzadWydaniaEPrzesylki
     * @return EPrzesylkaType
     */
    public function setUrzadWydaniaEPrzesylki(UrzadWydaniaEPrzesylkiType $urzadWydaniaEPrzesylki = null)
    {
        $this->urzadWydaniaEPrzesylki = $urzadWydaniaEPrzesylki;
        return $this;
    }
    /**
     * Get pobranie value
     * @return PobranieType|null
     */
    public function getPobranie()
    {
        return $this->pobranie;
    }
    /**
     * Set pobranie value
     * @param PobranieType $pobranie
     * @return EPrzesylkaType
     */
    public function setPobranie(PobranieType $pobranie = null)
    {
        $this->pobranie = $pobranie;
        return $this;
    }
    /**
     * Get masa value
     * @return int|null
     */
    public function getMasa()
    {
        return $this->masa;
    }
    /**
     * Set masa value
     * @param int $masa
     * @return EPrzesylkaType
     */
    public function setMasa($masa = null)
    {
        $this->masa = $masa;
        return $this;
    }
    /**
     * Get eSposobPowiadomieniaAdresata value
     * @return string|null
     */
    public function getESposobPowiadomieniaAdresata()
    {
        return $this->eSposobPowiadomieniaAdresata;
    }
    /**
     * Set eSposobPowiadomieniaAdresata value
     * @param string $eSposobPowiadomieniaAdresata
     * @return EPrzesylkaType
     */
    public function setESposobPowiadomieniaAdresata($eSposobPowiadomieniaAdresata = null)
    {
        $this->eSposobPowiadomieniaAdresata = $eSposobPowiadomieniaAdresata;
        return $this;
    }
    /**
     * Get eSposobPowiadomieniaNadawcy value
     * @return string|null
     */
    public function getESposobPowiadomieniaNadawcy()
    {
        return $this->eSposobPowiadomieniaNadawcy;
    }
    /**
     * Set eSposobPowiadomieniaNadawcy value
     * @param string $eSposobPowiadomieniaNadawcy
     * @return EPrzesylkaType
     */
    public function setESposobPowiadomieniaNadawcy($eSposobPowiadomieniaNadawcy = null)
    {
        $this->eSposobPowiadomieniaNadawcy = $eSposobPowiadomieniaNadawcy;
        return $this;
    }
    /**
     * Get eKontaktAdresata value
     * @return string|null
     */
    public function getEKontaktAdresata()
    {
        return $this->eKontaktAdresata;
    }
    /**
     * Set eKontaktAdresata value
     * @param string $eKontaktAdresata
     * @return EPrzesylkaType
     */
    public function setEKontaktAdresata($eKontaktAdresata = null)
    {
        $this->eKontaktAdresata = $eKontaktAdresata;
        return $this;
    }
    /**
     * Get eKontaktNadawcy value
     * @return string|null
     */
    public function getEKontaktNadawcy()
    {
        return $this->eKontaktNadawcy;
    }
    /**
     * Set eKontaktNadawcy value
     * @param string $eKontaktNadawcy
     * @return EPrzesylkaType
     */
    public function setEKontaktNadawcy($eKontaktNadawcy = null)
    {
        $this->eKontaktNadawcy = $eKontaktNadawcy;
        return $this;
    }
    /**
     * Get ostroznie value
     * @return bool|null
     */
    public function getOstroznie()
    {
        return $this->ostroznie;
    }
    /**
     * Set ostroznie value
     * @param bool $ostroznie
     * @return EPrzesylkaType
     */
    public function setOstroznie($ostroznie = null)
    {
        $this->ostroznie = $ostroznie;
        return $this;
    }
    /**
     * Get wartosc value
     * @return int|null
     */
    public function getWartosc()
    {
        return $this->wartosc;
    }
    /**
     * Set wartosc value
     * @param int $wartosc
     * @return EPrzesylkaType
     */
    public function setWartosc($wartosc = null)
    {
        $this->wartosc = $wartosc;
        return $this;
    }
}
